Subject: Re: 10GBE performance drop with net.ipv4.tcp_timestamps=0

From: Stefan Priebe - Profihost AG <[email-masked]>
Date: Wed, 20 Jun 2012 11:12:26 +0200

Am 20.06.2012 11:06, schrieb Stefan Priebe - Profihost AG:
>> You seem to have a switch or something that drops packets in this case.
>> You could try to rate limit to 9Gb/s and see if it is better.
> Sadly i can't rate limit to 9Gbit/s on the switch.
>
>> Here, I roughly have same bandwidth with tcp_timestamps on or off, with
>> ixgbe cards and net-next kernels.
> Mhm strange. Do you have any vague idea what could cause this? Any wrong
> reordering of the packets without tcp_timestamps?

I've now done another test without the switch. So both systems where 
direct attached and still the same. Without tcp_timstamps speed drops to 
2-4Gbit/s.

Stefan